#include <iostream>
using namespace std;
int main(){
	ios_base::sync_with_stdio(false);
	int N, i, j, k; long long int br=0;
	cin >> N;
	int X[N], Y[N], Z[N]; long long int XBr[100001], ZBr[100001];
	for (i = 0; i < N; i++) {
		cin >> X[i];
		XBr[X[i]]++;
	}
    for (j = 0; j < N; j++) {
        cin >> Y[j];
    }

    for (k = 0; k < N; k++) {
        cin >> Z[k];
        ZBr[Z[k]]++;
    }
    for(j = 0; j < N; j++) {
        br+=ZBr[j+1] * XBr[Y[j]];
    }
    cout << br;
    return 0;
}